## VOICE Originate USSD No Wait request VOICE Originate USSD No Wait request |

## Functions

QmiMessageVoiceOriginateUssdNoWaitInput * | qmi_message_voice_originate_ussd_no_wait_input_new ()
QmiMessageVoiceOriginateUssdNoWaitInput * | qmi_message_voice_originate_ussd_no_wait_input_ref ()
void | qmi_message_voice_originate_ussd_no_wait_input_unref ()
gboolean | qmi_message_voice_originate_ussd_no_wait_input_get_uss_data ()
gboolean | qmi_message_voice_originate_ussd_no_wait_input_set_uss_data ()
QmiMessageVoiceOriginateUssdNoWaitOutput * | qmi_message_voice_originate_ussd_no_wait_output_ref ()
void | qmi_message_voice_originate_ussd_no_wait_output_unref ()
gboolean | qmi_message_voice_originate_ussd_no_wait_output_get_result ()
void | qmi_client_voice_originate_ussd_no_wait ()
QmiMessageVoiceOriginateUssdNoWaitOutput * | qmi_client_voice_originate_ussd_no_wait_finish ()

## Types and Values

| QmiMessageVoiceOriginateUssdNoWaitInput
| QmiMessageVoiceOriginateUssdNoWaitOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageVoiceOriginateUssdNoWaitInput
        ╰── QmiMessageVoiceOriginateUssdNoWaitOutput

## Description

## Functions

### qmi_message_voice_originate_ussd_no_wait_input_new ()

    QmiMessageVoiceOriginateUssdNoWaitInput *
    qmi_message_voice_originate_ussd_no_wait_input_new
                                   (void);

Allocates a new QmiMessageVoiceOriginateUssdNoWaitInput.

#### Returns

the newly created QmiMessageVoiceOriginateUssdNoWaitInput. The returned value should be freed with `qmi_message_voice_originate_ussd_no_wait_input_unref()`.

Since: 1.26

### qmi_message_voice_originate_ussd_no_wait_input_ref ()

    QmiMessageVoiceOriginateUssdNoWaitInput *
    qmi_message_voice_originate_ussd_no_wait_input_ref
                                   (QmiMessageVoiceOriginateUssdNoWaitInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceOriginateUssdNoWaitInput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_voice_originate_ussd_no_wait_input_unref ()

    void
    qmi_message_voice_originate_ussd_no_wait_input_unref
                                   (QmiMessageVoiceOriginateUssdNoWaitInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceOriginateUssdNoWaitInput. |

Since: 1.26

### qmi_message_voice_originate_ussd_no_wait_input_get_uss_data ()

    gboolean
    qmi_message_voice_originate_ussd_no_wait_input_get_uss_data
                                   (QmiMessageVoiceOriginateUssdNoWaitInput *self,
                                    QmiVoiceUssDataCodingScheme *value_uss_data_data_coding_scheme,
                                    GArray **value_uss_data_data,
                                    GError **error);

Get the 'USS Data' field from `self` .

#### Parameters

self | a QmiMessageVoiceOriginateUssdNoWaitInput. |
value_uss_data_data_coding_scheme | a placeholder for the output QmiVoiceUssDataCodingScheme, or `NULL` if not required. | [out]
value_uss_data_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_originate_ussd_no_wait_input_set_uss_data ()

    gboolean
    qmi_message_voice_originate_ussd_no_wait_input_set_uss_data
                                   (QmiMessageVoiceOriginateUssdNoWaitInput *self,
                                    QmiVoiceUssDataCodingScheme value_uss_data_data_coding_scheme,
                                    GArray *value_uss_data_data,
                                    GError **error);

Set the 'USS Data' field in the message.

#### Parameters

self | a QmiMessageVoiceOriginateUssdNoWaitInput. |
value_uss_data_data_coding_scheme | a QmiVoiceUssDataCodingScheme. |
value_uss_data_data | a GArray of guint8 elements. A new reference to `value_uss_data_data` will be taken. | [in][element-type guint8]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_voice_originate_ussd_no_wait_output_ref ()

    QmiMessageVoiceOriginateUssdNoWaitOutput *
    qmi_message_voice_originate_ussd_no_wait_output_ref
                                   (QmiMessageVoiceOriginateUssdNoWaitOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceOriginateUssdNoWaitOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_voice_originate_ussd_no_wait_output_unref ()

    void
    qmi_message_voice_originate_ussd_no_wait_output_unref
                                   (QmiMessageVoiceOriginateUssdNoWaitOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceOriginateUssdNoWaitOutput. |

Since: 1.26

### qmi_message_voice_originate_ussd_no_wait_output_get_result ()

    gboolean
    qmi_message_voice_originate_ussd_no_wait_output_get_result
                                   (QmiMessageVoiceOriginateUssdNoWaitOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageVoiceOriginateUssdNoWaitOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.26

### qmi_client_voice_originate_ussd_no_wait ()

    void
    qmi_client_voice_originate_ussd_no_wait
                                   (QmiClientVoice *self,
                                    QmiMessageVoiceOriginateUssdNoWaitInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Originate USSD No Wait request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_voice_originate_ussd_no_wait_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientVoice. |
input | a QmiMessageVoiceOriginateUssdNoWaitInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.26

### qmi_client_voice_originate_ussd_no_wait_finish ()

    QmiMessageVoiceOriginateUssdNoWaitOutput *
    qmi_client_voice_originate_ussd_no_wait_finish
                                   (QmiClientVoice *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_voice_originate_ussd_no_wait()`.

#### Parameters

self | a QmiClientVoice. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_voice_originate_ussd_no_wait()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageVoiceOriginateUssdNoWaitOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_voice_originate_ussd_no_wait_output_unref()`.

Since: 1.26

## Types and Values

### QmiMessageVoiceOriginateUssdNoWaitInput

    typedef struct _QmiMessageVoiceOriginateUssdNoWaitInput QmiMessageVoiceOriginateUssdNoWaitInput;

The QmiMessageVoiceOriginateUssdNoWaitInput structure contains private data and should only be accessed using the provided API.

Since: 1.26

### QmiMessageVoiceOriginateUssdNoWaitOutput

    typedef struct _QmiMessageVoiceOriginateUssdNoWaitOutput QmiMessageVoiceOriginateUssdNoWaitOutput;

The QmiMessageVoiceOriginateUssdNoWaitOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26